matrix:
  platform:
    - debian10
    - debian11
    - macos
    - macos_arm64
    - ubuntu2004
    - ubuntu2204
    - windows
  bazel: [7.x, 8.x, rolling]
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
      - '@rules_cc_resources//example:app_resource'
bcr_example_module:
  module_path: example
  matrix:
    platform:
      - debian10
      - debian11
      - macos
      - macos_arm64
      - ubuntu2004
      - ubuntu2204
      - ubuntu2404
      - windows
    bazel: [7.x, 8.x, rolling]
  tasks:
    run_example_module:
      name: Run example module
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_targets:
        - //example/...
      test_targets:
        - //example/...


